# Kahulm

## Run the server

For production:
```bash
export NODE_ENV=production
npm install
npm run
```

For dev:
```
npm install
npm run dev
```

## .env format

```ini
# port of the server
PORT=2000 
# password for sessions
SESSION_SECRET=my secret 
# base url of the website
BASE_URL=http://localhost:2000 
# the SQLite db filename
DB_FILE=kahulm.sqlite 

# If you want to create a initial admin account
# Can be omitted.
# Only works at database init, 
# if there is already a SQLite db file, it is ignored.
ADMIN_USERNAME=admin
ADMIN_PASSWORD=test

# Config for how to hash passwords.
PASSWORD_SALT_LENGTH=128
PASSWORD_HASH_LENGTH=64

```
