const backgrounds = [
  { class: 'bg-greek', name: 'Greek Theme' },
  { class: 'bg-norse', name: 'Norse Theme' },
  
  { class: 'bg-egypt', name: 'Egypt Theme' },
  { class: 'bg-yoruba', name: 'Yoruba Theme' },

  { class: 'bg-choctaw', name: 'Choctaw Theme' },
  { class: 'bg-aztec', name: 'Aztec Theme' },
  
  { class: 'bg-hindu', name: 'Hindu Theme' },
  { class: 'bg-japan', name: 'Japan Theme' },
  { class: 'bg-korea', name: 'Korea Theme' },
  
  { class: 'bg-maori', name: 'Maori Theme' },
];

let currentBackgroundIndex = -1;

function changeBackground() {
  const contentElement = document.getElementById('content');

  if (!contentElement) {
    console.error('Content element not found!');
    return;
  }

  // Remove all background classes
  backgrounds.forEach(bg => contentElement.classList.remove(bg.class));

  // Skip theming for admin pages
  if (window.location.pathname.startsWith('/admin')) {
    console.log('Admin page detected, skipping background theming');
    return;
  }

  // Pick a new random background
  let newIndex;
  do {
    newIndex = Math.floor(Math.random() * backgrounds.length);
  } while (newIndex === currentBackgroundIndex && backgrounds.length > 1);

  currentBackgroundIndex = newIndex;
  const selectedBackground = backgrounds[newIndex];

  // Apply new class
  contentElement.classList.add(selectedBackground.class);

  console.log('Applied background:', selectedBackground.name, selectedBackground.class);
}

// Set initial random background when page loads
window.addEventListener('load', function() {
  console.log('Page loaded, applying random background...');
  changeBackground();
});
