import { NextFunction, Request, Response } from "express";

export function ensureAuthenticated(req: Request, res: Response, next: NextFunction) {
  if (req.session && req.session?.user) {
    return next();
  } else {
    res.redirect(`/login?r=${encodeURI(req.originalUrl)}`);
    return;
  }
}

export function ensureAdmin(req: Request, res: Response, next: NextFunction) {
  if (req.session && req.session?.user) {
    if (req.session.user.admin)
      return next();

    // TODO: redirect/render error page
    res.status(403).end();
    return;
  } else {
    res.redirect(`/login?r=${encodeURI(req.originalUrl)}`);
    return;
  }
}
