import PromiseRouter from "express-promise-router";
import { handleLocation, showLocations } from "../controllers/location";
import { generateQrCode } from "../controllers/qrcode";
import { ensureAdmin } from "../middlewares/auth";

const router = PromiseRouter();

router.get("/", ensureAdmin, showLocations);
router.get("/:id", handleLocation);
router.get("/:id/qrcode", generateQrCode);

export default router;
