import PromiseRouter from "express-promise-router";
import { answerQuestion, renderQuestion } from "../controllers/question";
import bodyParser from "body-parser";
import { generateQrCode } from "../controllers/qrcode";

const router = PromiseRouter();

const urlencodedParser = bodyParser.urlencoded({ extended: true });

router.get("/:id", renderQuestion);
router.post("/:id", urlencodedParser, answerQuestion);
router.get("/:id/qrcode", generateQrCode);

export default router;
